#3090 closed enhancement (fixed)

Add BSP for i.MX 7

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: bsps Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description


Change History (31)

comment:1 Changed on Aug 4, 2017 at 12:25:39 PM by Sebastian Huber <sebastian.huber@…>

In ef04443/rtems:

bsps/arm: Add ARMv7-AR Generic Timer support

Update #3090.

comment:2 Changed on Aug 4, 2017 at 12:25:51 PM by Sebastian Huber <sebastian.huber@…>

In ffe7c0e/rtems:

bsps/arm: Add ARMv7-AR Generic Timer clock driver

Update #3090.

comment:3 Changed on Aug 4, 2017 at 12:26:04 PM by Sebastian Huber <sebastian.huber@…>

In 694c31f9/rtems:

bsp/imx: New BSP

Update #3090.

comment:4 Changed on Aug 4, 2017 at 12:47:03 PM by Sebastian Huber <sebastian.huber@…>

In ca9490c/rtems:

bsp/imx: Fix UART interrupt

Update #3090.

comment:5 Changed on Aug 5, 2017 at 11:55:35 PM by Chris Johns

Can the rtems-tool's bsp-builder configuration files please be updated to include this BSP:

https://git.rtems.org/rtems-tools/tree/tester/rtems/rtems-bsps-arm.ini

Thanks

comment:6 Changed on Sep 22, 2017 at 12:25:09 PM by Sebastian Huber <sebastian.huber@…>

In 8e6a407a/rtems:

bsps/arm: Copy FDT only on boot processor

Update #3090.

comment:7 Changed on Sep 22, 2017 at 12:25:20 PM by Sebastian Huber <sebastian.huber@…>

In 3ad3849a/rtems:

bsp/imx: Add register headers

Update #3090.

comment:8 Changed on Sep 22, 2017 at 12:25:32 PM by Sebastian Huber <sebastian.huber@…>

In 29919242/rtems:

bsp/imx: Add SMP support

Update #3090.

comment:9 Changed on Sep 22, 2017 at 12:40:45 PM by Sebastian Huber <sebastian.huber@…>

In 05f9858f/rtems:

bsps: Generalize bsp_fdt_map_intr()

Pass all interrupt cells to bsp_fdt_map_intr() since some platforms use
an array to describe an interrupt.

Update #3090.

comment:10 Changed on Sep 22, 2017 at 12:43:09 PM by Sebastian Huber <sebastian.huber@…>

In b469163/rtems-libbsd:

Generalize bsp_fdt_map_intr()

Update #3090.

comment:11 Changed on Sep 26, 2017 at 5:32:21 AM by Sebastian Huber <sebastian.huber@…>

In 4bf2ce31/rtems:

bsp/imx: Add register headers

Update #3090.

comment:12 Changed on Sep 26, 2017 at 12:02:03 PM by Sebastian Huber <sebastian.huber@…>

In 362e96ab/rtems:

bsp/imx: Provide a default console

Update #3090.

comment:13 Changed on Sep 27, 2017 at 8:59:47 AM by Sebastian Huber <sebastian.huber@…>

In 5616983/rtems:

bsp/imx: Add nocache section

Update #3090.

comment:14 Changed on Sep 27, 2017 at 12:56:17 PM by Sebastian Huber <sebastian.huber@…>

In 87e1929/rtems-docs:

Mention i.MX 7 SMP support

Update #3090.

comment:15 Changed on Oct 2, 2017 at 11:41:52 AM by Sebastian Huber <sebastian.huber@…>

In 7e195e66/rtems:

bsp/imx: Add imx_get_irq_of_node()

Update #3090.

comment:16 Changed on Oct 2, 2017 at 11:42:04 AM by Sebastian Huber <sebastian.huber@…>

In ce28d601/rtems:

bsp/imx: Add imx_get_reg_of_node()

Update #3090.

comment:17 Changed on Oct 2, 2017 at 11:42:16 AM by Sebastian Huber <sebastian.huber@…>

In 9db9024/rtems:

bsp/imx: Fix I2C register header

Update #3090.

comment:18 Changed on Oct 2, 2017 at 11:42:27 AM by Sebastian Huber <sebastian.huber@…>

In f043b9b/rtems:

bsp/imx: Add I2C bus driver

Update #3090.

comment:19 Changed on Oct 6, 2017 at 11:02:46 AM by Sebastian Huber <sebastian.huber@…>

In b39cda6/rtems:

bsp/imx: Fix I2C registration with path

Update #3090.

comment:20 Changed on Oct 6, 2017 at 11:02:57 AM by Sebastian Huber <sebastian.huber@…>

In e316be7/rtems:

bsp/imx: Import iomux from FreeBSD

Update #3090.

comment:21 Changed on Oct 6, 2017 at 11:03:09 AM by Sebastian Huber <sebastian.huber@…>

In 54380f42/rtems:

bsp/imx: Add imx_iomux_configure_pins()

Update #3090.

comment:22 Changed on Oct 6, 2017 at 11:03:20 AM by Sebastian Huber <sebastian.huber@…>

In 170df3d/rtems:

bsp/imx: Add SPI bus driver

Update #3090.

comment:23 Changed on Oct 25, 2017 at 12:31:19 PM by Sebastian Huber <sebastian.huber@…>

In a8a9cf1/rtems-libbsd:

ffec: Add checksum offload

Update #3090.

comment:24 Changed on Oct 26, 2017 at 6:44:46 AM by Sebastian Huber <sebastian.huber@…>

In 936b597/rtems-libbsd:

ffec: Fix comment

Update #3090.

comment:25 Changed on Nov 2, 2017 at 10:26:12 AM by Sebastian Huber <sebastian.huber@…>

In c52a968/rtems:

bsp/imx: Implement bsp_reset()

Update #3090.

comment:26 Changed on Nov 2, 2017 at 10:26:23 AM by Sebastian Huber <sebastian.huber@…>

In 4b055e23/rtems:

bsp/imx: Drain console before reset

Update #3090.

comment:27 Changed on Nov 2, 2017 at 12:44:27 PM by Sebastian Huber <sebastian.huber@…>

In 4438c4d8/rtems:

bsp/imx: More robust and faster bsp_reset()

Update #3090.

comment:28 Changed on Nov 8, 2017 at 7:44:56 AM by Sebastian Huber <sebastian.huber@…>

In 336fe3b/rtems:

bsp/imx: Better utilize UART transmit FIFO

Update #3090.

comment:29 Changed on Nov 8, 2017 at 7:45:08 AM by Sebastian Huber <sebastian.huber@…>

In fdf0e55/rtems:

bsp/imx: Add UART baud change

Update #3090.

comment:30 Changed on Nov 9, 2017 at 8:54:54 AM by Sebastian Huber <sebastian.huber@…>

In 6f5cfad/rtems-tools:

Add tester imx7.ini

Update #3090.

comment:31 Changed on Feb 8, 2018 at 9:01:00 AM by Sebastian Huber

Milestone: Indefinite5.1
Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.